Debian Bug report logs - #565181
slbackup-php: restoring files with spaces in file names

version graph

Package: slbackup-php; Maintainer for slbackup-php is Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>; Source for slbackup-php is src:slbackup-php.

Reported by: Monsieur Cyril ETCHEVERRIA <cyril.e@wanadoo.fr>

Date: Wed, 13 Jan 2010 18:21:02 UTC

Severity: important

Found in version slbackup-php/0.3-2

Fixed in versions slbackup-php/0.3-3, slbackup-php/0.3-2.2+squeeze1

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Patrick Winnertz <winnie@debian.org>:
Bug#565181; Package slbackup-php. (Wed, 13 Jan 2010 18:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Monsieur Cyril ETCHEVERRIA <cyril.e@wanadoo.fr>:
New Bug report received and forwarded. Copy sent to Patrick Winnertz <winnie@debian.org>. (Wed, 13 Jan 2010 18:21:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Monsieur Cyril ETCHEVERRIA <cyril.e@wanadoo.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: slbackup-php: restoring files with spaces in file names
Date: Wed, 13 Jan 2010 16:51:09 +0100
Package: slbackup-php
Version: 0.3-2
Severity: important

Hello,
	Sorry, My English is bad. I would be brief.
	Unable to restore files containing spaces in their name.
A proposed correction: rdiff-u


--- restore.tpl	2010-01-13 16:40:45.000000000 +0100
+++ restore.tpl.old	2007-04-25 11:27:16.000000000 +0200
@@ -42,13 +42,13 @@
 	        <IMG SRC="/icons/generic.gif" alt="[   ]">
 	    {/if}    
 	    {if $dir.type == "file"}
-		<A 
HREF="index.php?restorefile&client={$client}&sub={$dir.sub}&location={$location}">{$dir.name}</A>
+		<A 
HREF=index.php?restorefile&client={$client}&sub={$dir.sub}&location={$location}>{$dir.name}</A>
 	    {elseif $dir.type == "delfile"}
-		<A 
HREF="index.php?restorefile&client={$client}&sub={$dir.sub}&location={$location}">{$dir.name}(deleted)</A>
+		<A 
HREF=index.php?restorefile&client={$client}&sub={$dir.sub}&location={$location}>{$dir.name}(deleted)</A>
 	    {elseif $dir.type == deldir}
-		<A 
HREF="index.php?restorelocation&client={$client}&sub={$dir.sub}&location={$location}">{$dir.name} 
({t}Deleted{/t})</A>
+		<A 
HREF=index.php?restorelocation&client={$client}&sub={$dir.sub}&location={$location}>{$dir.name} 
({t}Deleted{/t})</A>
 	    {else}
-		<A 
HREF="index.php?restorelocation&client={$client}&sub={$dir.sub}&location={$location}">{$dir.name}</A>
+		<A 
HREF=index.php?restorelocation&client={$client}&sub={$dir.sub}&location={$location}>{$dir.name}</A>
 	    {/if}    
 	    <BR>
 	{/foreach}
@@ -59,13 +59,13 @@
 	        <IMG SRC="/icons/transfer.gif" alt="[   ]">
 	    {/if}    
 	    {if $version.type == "parent"}
-		<A 
HREF="index.php?restorelocation&client={$client}&sub={$version.sub}&location={$location}">{$version.name}</A>
+		<A 
HREF=index.php?restorelocation&client={$client}&sub={$version.sub}&location={$location}>{$version.name}</A>
 	    {elseif $version.type == "currentfile"}
-		<A 
HREF="index.php?restorefile&client={$client}&file={$version.sub}&location={$location}&revision=current">current</A>
+		<A 
HREF=index.php?restorefile&client={$client}&file={$version.sub}&location={$location}&revision=current>current</A>
 	    {elseif $version.type == "diff.gz"}
-		<A 
HREF="index.php?restorefile&client={$client}&parent={$version.parent}&location={$location}&revision={$version.revision}&name={$version.name}">{$version.ts}</A>
+		<A 
HREF=index.php?restorefile&client={$client}&parent={$version.parent}&location={$location}&revision={$version.revision}&name={$version.name}>{$version.ts}</A>
 	    {elseif $version.type == "snapshot.gz"}
-		<A 
HREF="index.php?restorefile&client={$client}&parent={$version.parent}&location={$location}&revision={$version.revision}&name={$version.name}">{$version.ts}</A>
+		<A 
HREF=index.php?restorefile&client={$client}&parent={$version.parent}&location={$location}&revision={$version.revision}&name={$version.name}>{$version.ts}</A>
 	    {else}
 		unknown snapshot type $version.type
 	    {/if}    



--- index.php   2010-01-13 16:38:35.000000000 +0100
+++ index.php.old       2007-04-25 10:15:47.000000000 +0200
@@ -71,7 +71,7 @@
 function removesnapshots ($passwd, $clientdir, $snapshot) {
 global $backuphost, $backupuser, $ssh_options, $ssh_askpass ;
 
-    $cmd = sprintf ("ssh %s %s@%s 'rdiff-backup --force 
--remove-older-than %s \"%s\"'", 
+    $cmd = sprintf ("ssh %s %s@%s 'rdiff-backup --force 
--remove-older-than %s %s'", 
                     $ssh_options, $backupuser, 
                     $backuphost, $snapshot, $clientdir) ; 
 
@@ -98,7 +98,7 @@
 function listsnapshots ($passwd, $clientdir) {
 global $backuphost, $backupuser, $ssh_options, $ssh_askpass ;
 
-    $cmd = sprintf ("ssh %s %s@%s 'find \"%s/rdiff-backup-data\" 
-maxdepth 1 -name \"increments.*\" -printf %s'", 
+    $cmd = sprintf ("ssh %s %s@%s 'find %s/rdiff-backup-data -maxdepth 
1 -name \"increments.*\" -printf %s'", 
                     $ssh_options, $backupuser, 
                     $backuphost, $clientdir, '"%P\n"') ; 
 
@@ -126,7 +126,7 @@
 function fetchfile ($passwd, $clientdir, $location, $file) {
 global $backuphost, $backupuser, $ssh_options, $ssh_askpass ;
 
-    $cmd = sprintf ("ssh %s %s@%s 'cat \"%s%s/%s\"'", 
+    $cmd = sprintf ("ssh %s %s@%s 'cat %s%s/%s'", 
                     $ssh_options, $backupuser, 
                     $backuphost, $clientdir, $location, $file ) ; 
 
@@ -169,7 +169,7 @@
     } else unset ($tempfile) ; 
     if (empty($tempfile))
         return ; 
-    $cmd = sprintf ("ssh %s %s@%s 'rdiff-backup --force 
\"%s/rdiff-backup-data/increments%s/%s\" \"%s\"'", 
+    $cmd = sprintf ("ssh %s %s@%s 'rdiff-backup --force 
%s/rdiff-backup-data/increments%s/%s %s'", 
    		     $ssh_options, $backupuser, 
 		     $backuphost, $clientdir, $location, $file, 
$tempfile ) ; 
 
@@ -180,7 +180,7 @@
 	fclose ($pipes[1]) ; 
 	proc_close ($proc) ; 
     } 
-    $cmd = sprintf ("ssh %s %s@%s 'cat \"%s\" && rm \"%s\"'", 
+    $cmd = sprintf ("ssh %s %s@%s 'cat %s && rm %s'", 
    		     $ssh_options, $backupuser, 
 		     $backuphost, $tempfile, $tempfile) ; 
     $proc = proc_open ($cmd, $desc, $pipes, '/tmp', $env) ; 
@@ -213,7 +213,7 @@
 
     $env = array ('SSH_ASKPASS' => $ssh_askpass, 
 		  'DISPLAY' => ':nowhere') ; 
-    $cmd = sprintf ("ssh %s %s@%s 'find \"%s%s/%s\" -maxdepth 1 
-mindepth 1 -type f -name \"%s\"'", 
+    $cmd = sprintf ("ssh %s %s@%s 'find %s%s/%s -maxdepth 1 -mindepth 1 
-type f -name %s'", 
    		     $ssh_options, $backupuser, 
 		     $backuphost, $clientdir, $location, $parent, $base 
) ; 
     $proc = proc_open ($cmd, $desc, $pipes, '/tmp', $env) ; 
@@ -230,7 +230,7 @@
 	proc_close ($proc) ; 
     }
     $baselen= strlen ($base) ; 
-    $cmd = sprintf ("ssh %s %s@%s 'find 
\"%s/rdiff-backup-data/increments%s/%s\" -maxdepth 1 -mindepth 1 -type f 
-name \"%s*.gz\"'", 
+    $cmd = sprintf ("ssh %s %s@%s 'find 
%s/rdiff-backup-data/increments%s/%s -maxdepth 1 -mindepth 1 -type f 
-name \"%s*.gz\"'", 
    		     $ssh_options, $backupuser, 
 		     $backuphost, $clientdir, $location, $parent, $base 
) ; 
 
@@ -283,7 +283,7 @@
 
     $env = array ('SSH_ASKPASS' => $ssh_askpass, 
 		  'DISPLAY' => ':nowhere') ; 
-    $cmd = sprintf ("ssh %s %s@%s 'find \"%s%s/%s\" -maxdepth 1 
-mindepth 1 -type d'", 
+    $cmd = sprintf ("ssh %s %s@%s 'find %s%s/%s -maxdepth 1 -mindepth 1 
-type d'", 
    		     $ssh_options, $backupuser, 
 		     $backuphost, $clientdir, $location, $sub ) ; 
     $proc = proc_open ($cmd, $desc, $pipes, '/tmp', $env) ; 
@@ -299,7 +299,7 @@
 	fclose ($pipes[1]) ; 
 	proc_close ($proc) ; 
     }
-    $cmd = sprintf ("ssh %s %s@%s 'find 
\"%s/rdiff-backup-data/increments%s/%s\" -maxdepth 1 -mindepth 1 -type 
d'", 
+    $cmd = sprintf ("ssh %s %s@%s 'find 
%s/rdiff-backup-data/increments%s/%s -maxdepth 1 -mindepth 1 -type d'", 
    		     $ssh_options, $backupuser, 
 		     $backuphost, $clientdir, $location, $sub ) ; 
     $proc = proc_open ($cmd, $desc, $pipes, '/tmp', $env) ; 
@@ -322,7 +322,7 @@
 	fclose ($pipes[1]) ; 
 	proc_close ($proc) ; 
     }
-    $cmd = sprintf ("ssh %s %s@%s 'find \"%s%s/%s\" -maxdepth 1 
-mindepth 1 -type f'", 
+    $cmd = sprintf ("ssh %s %s@%s 'find %s%s/%s -maxdepth 1 -mindepth 1 
-type f'", 
    		     $ssh_options, $backupuser, 
 		     $backuphost, $clientdir, $location, $sub ) ; 
 
@@ -339,7 +339,7 @@
 	fclose ($pipes[1]) ; 
 	proc_close ($proc) ; 
     }
-    $cmd = sprintf ("ssh %s %s@%s 'find 
\"%s/rdiff-backup-data/increments%s/%s\" -maxdepth 1 -mindepth 1 -type f 
-name \"*.snapshot.gz\"'", 
+    $cmd = sprintf ("ssh %s %s@%s 'find 
%s/rdiff-backup-data/increments%s/%s -maxdepth 1 -mindepth 1 -type f 
-name \"*.snapshot.gz\"'", 
    		     $ssh_options, $backupuser, 
 		     $backuphost, $clientdir, $location, $sub ) ; 
     $proc = proc_open ($cmd, $desc, $pipes, '/tmp', $env) ; 




-- System Information:
Debian Release: 5.0.3
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-2-amd64 (SMP w/1 CPU core)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages slbackup-php depends on:
ii  apache2            2.2.9-10+lenny6       Apache HTTP Server metapackage
ii  apache2-mpm-prefor 2.2.9-10+lenny6       Apache HTTP Server - traditional n
ii  debconf [debconf-2 1.5.24                Debian configuration management sy
ii  libapache2-mod-php 5.2.6.dfsg.1-1+lenny4 server-side, HTML-embedded scripti
ii  php5-cli           5.2.6.dfsg.1-1+lenny4 command-line interpreter for the p
ii  smarty             2.6.20-1.2            Template engine for PHP
ii  smarty-gettext     1.0b1-2               provides gettext support for smart
ii  ssh                1:5.1p1-5             secure shell client and server (me

slbackup-php recommends no packages.

slbackup-php suggests no packages.

-- debconf information excluded

-- 
Ce message a ��t�� v��rifi�� par MailScanner
pour des virus ou des polluriels et rien de
suspect n'a ��t�� trouv��.
For all your IT requirements visit: http://www.transtec.co.uk







Reply sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
You have taken responsibility. (Thu, 19 Jan 2012 17:21:59 GMT) Full text and rfc822 format available.

Notification sent to Monsieur Cyril ETCHEVERRIA <cyril.e@wanadoo.fr>:
Bug acknowledged by developer. (Thu, 19 Jan 2012 17:21:59 GMT) Full text and rfc822 format available.

Message #10 received at 565181-close@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 565181-close@bugs.debian.org
Subject: Bug#565181: fixed in slbackup-php 0.3-3
Date: Thu, 19 Jan 2012 17:19:53 +0000
Source: slbackup-php
Source-Version: 0.3-3

We believe that the bug you reported is fixed in the latest version of
slbackup-php, which is due to be installed in the Debian FTP archive:

slbackup-php_0.3-3.diff.gz
  to main/s/slbackup-php/slbackup-php_0.3-3.diff.gz
slbackup-php_0.3-3.dsc
  to main/s/slbackup-php/slbackup-php_0.3-3.dsc
slbackup-php_0.3-3_all.deb
  to main/s/slbackup-php/slbackup-php_0.3-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 565181@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mike Gabriel <mike.gabriel@das-netzwerkteam.de> (supplier of updated slbackup-php package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 18 Jan 2012 17:05:14 +0100
Source: slbackup-php
Binary: slbackup-php
Architecture: source all
Version: 0.3-3
Distribution: unstable
Urgency: low
Maintainer: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Changed-By: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Description: 
 slbackup-php - web-based administration tool for slbackup
Closes: 565181 655832
Changes: 
 slbackup-php (0.3-3) unstable; urgency=low
 .
   * Mike Gabriel becomes Debian package maintainer.
   * Enable quilt patch system. Bump Standards-Version from 3.7.3 to 3.9.2.
   * Add generic README.source that explains the usage of quilt.
   * Add patch: 001_slbackup-php_cookie+request-merge.patch. Fixes reappearing
     login page on every click (closes: #655832).
   * Add patch: 002_slbackup-php_restore-paths-with-blanks.patch. Allows restore
     of files with blanks in their name. Closes: #565181.
     Patch provided by Cyril ETCHEVERRIA <cyril.e@wanadoo.fr> -> thanks!
   * Add patch: 003_slbackup-php_fix-failed-in-status-template.patch,
     for last failed backup really show timestamp of the last failed backup
     and not erroneously the timestamp of the last successful backup.
 .
   * Upload sponsored by Petter Reinholdtsen.
Checksums-Sha1: 
 a39b06e11d926a9a2032f02c0622626af284e621 1155 slbackup-php_0.3-3.dsc
 019b8dab9320a80f6da3439dc0fe48042cacd906 11283 slbackup-php_0.3-3.diff.gz
 1bc926ca09b294106163309c813f201be2605651 21690 slbackup-php_0.3-3_all.deb
Checksums-Sha256: 
 bd87903f4c4d835c3cb351e163e989c1fdb6e4db909745321f3b915f67738c5f 1155 slbackup-php_0.3-3.dsc
 d6cf7d673ea6aa6d53d62a35eb341a463a2b947609c26b6ecc270a6f1b5fd441 11283 slbackup-php_0.3-3.diff.gz
 eb6cf6e1d6d3b6ad31509c2083ed74c4118b23a2777f1e4c64c723a3f8e07916 21690 slbackup-php_0.3-3_all.deb
Files: 
 1c28492e80c7d33024773edd6ca045d2 1155 misc optional slbackup-php_0.3-3.dsc
 1326ebb3c4a16b0012717a411278efd0 11283 misc optional slbackup-php_0.3-3.diff.gz
 a32b3827c975bb7b1b63f804306453d1 21690 misc optional slbackup-php_0.3-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFPGE3J20zMSyow1ykRAoqfAJ4umv9z5v/fQk14KNpmSnc0/DVgqQCcCrFs
l15OAf/68o7AQUnsdhv8/oA=
=ajxi
-----END PGP SIGNATURE-----





Reply sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
You have taken responsibility. (Sun, 22 Jan 2012 12:06:52 GMT) Full text and rfc822 format available.

Notification sent to Monsieur Cyril ETCHEVERRIA <cyril.e@wanadoo.fr>:
Bug acknowledged by developer. (Sun, 22 Jan 2012 12:07:28 GMT) Full text and rfc822 format available.

Message #15 received at 565181-close@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 565181-close@bugs.debian.org
Subject: Bug#565181: fixed in slbackup-php 0.3-2.2+squeeze1
Date: Sun, 22 Jan 2012 12:02:07 +0000
Source: slbackup-php
Source-Version: 0.3-2.2+squeeze1

We believe that the bug you reported is fixed in the latest version of
slbackup-php, which is due to be installed in the Debian FTP archive:

slbackup-php_0.3-2.2+squeeze1.diff.gz
  to main/s/slbackup-php/slbackup-php_0.3-2.2+squeeze1.diff.gz
slbackup-php_0.3-2.2+squeeze1.dsc
  to main/s/slbackup-php/slbackup-php_0.3-2.2+squeeze1.dsc
slbackup-php_0.3-2.2+squeeze1_all.deb
  to main/s/slbackup-php/slbackup-php_0.3-2.2+squeeze1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 565181@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mike Gabriel <mike.gabriel@das-netzwerkteam.de> (supplier of updated slbackup-php package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 21 Jan 2012 23:08:18 +0100
Source: slbackup-php
Binary: slbackup-php
Architecture: source all
Version: 0.3-2.2+squeeze1
Distribution: stable
Urgency: low
Maintainer: Patrick Winnertz <winnie@debian.org>
Changed-By: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Description: 
 slbackup-php - web-based administration tool for slbackup
Closes: 565181 655832
Changes: 
 slbackup-php (0.3-2.2+squeeze1) stable; urgency=low
 .
   * Non-maintainer upload.
   * Patch src/index.php. Fixes reappearing login page on every click
     (closes: #655832).
   * Patch src/index.php and templates/restore.tpl. Allows restore
     of files with blanks in their name. Closes: #565181.
     Patch provided by Cyril ETCHEVERRIA <cyril.e@wanadoo.fr> -> thanks!
   * Patch templates/status.tpl. For last failed backup really show the
     timestamp of the last failed backup and not erroneously the timestamp
     of the last successful backup.
 .
   * Upload sponsored by Petter Reinholdtsen.
Checksums-Sha1: 
 7f2b9632398da2cbb48e5e115440243d6d82153e 1129 slbackup-php_0.3-2.2+squeeze1.dsc
 6062ff7e2141c52cfa93fd15c50a9465995dc048 10132 slbackup-php_0.3-2.2+squeeze1.diff.gz
 5fc5389d1f7020af0240cf5dc2112f39844c311b 21624 slbackup-php_0.3-2.2+squeeze1_all.deb
Checksums-Sha256: 
 fd2d223cf83da18b3c32d80146a4e8e30d854b8f1f9ea1cb9cfe58f59c4ce7c6 1129 slbackup-php_0.3-2.2+squeeze1.dsc
 8b661b27ac550cca8379e21826ff180322bc4f9b4d108ff20184853c5a98146e 10132 slbackup-php_0.3-2.2+squeeze1.diff.gz
 ddc3c6374d5eef24b15e1d3e7091e648b5228800725645618fca608aaab7837e 21624 slbackup-php_0.3-2.2+squeeze1_all.deb
Files: 
 7a42dafa7034453c28fe534790a1f9a6 1129 misc optional slbackup-php_0.3-2.2+squeeze1.dsc
 c05f63d211b909da4a810f95baf61eed 10132 misc optional slbackup-php_0.3-2.2+squeeze1.diff.gz
 51dfd500d9208dfce351c6e34035386c 21624 misc optional slbackup-php_0.3-2.2+squeeze1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFPG7zA20zMSyow1ykRAkFvAJkBvmhikSiBQnIy9bwUNEWOYtbvhQCeJfmY
Ls43Qoaj0gbrY+PIMakPQcw=
=pfW3
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 22 Feb 2012 07:39:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 04:26:52 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.